package cc.smtweb.system.bpm.web.sys.base.billFlow;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-08-02 20:44:36
 * 实体【[单据流程分配](SYS_BILL_FLOW)】的Entity类
 */
@SwTable("SYS_BILL_FLOW")
public class BillFlow extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_BILL_FLOW";

    public BillFlow() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sbfl_id");
    }

    /**
     * 主键
     */
    public void setId(long sbfl_id) {
        put("sbfl_id", sbfl_id);
    }

    /**
     * 用户组
     */
    public long getUserGroup() {
        return getLong("sbfl_user_group");
    }

    /**
     * 用户组
     */
    public void setUserGroup(long sbfl_user_group) {
        put("sbfl_user_group", sbfl_user_group);
    }

    /**
     * 单据类型
     */
    public long getBillType() {
        return getLong("sbfl_bill_type");
    }

    /**
     * 单据类型
     */
    public void setBillType(long sbfl_bill_type) {
        put("sbfl_bill_type", sbfl_bill_type);
    }

    /**
     * 流程
     */
    public long getProc() {
        return getLong("sbfl_proc");
    }

    /**
     * 流程
     */
    public void setProc(long sbfl_proc) {
        put("sbfl_proc", sbfl_proc);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("sbfl_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String sbfl_remark) {
        put("sbfl_remark", sbfl_remark);
    }
}
